package com.zehong.system.service;

import java.util.List;
import java.util.Map;

import com.zehong.system.domain.TInspectReport;

/**
 * 入户安检结果Service接口
 * 
 * @author zehong
 * @date 2026-02-02
 */
public interface ITInspectReportService 
{
    /**
     * 查询入户安检结果
     * 
     * @param reportId 入户安检结果ID
     * @return 入户安检结果
     */
    public TInspectReport selectTInspectReportById(Long reportId);

    /**
     * 查询入户安检结果列表
     * 
     * @param tInspectReport 入户安检结果
     * @return 入户安检结果集合
     */
    public List<TInspectReport> selectTInspectReportList(TInspectReport tInspectReport);

    /**
     * 安检汇总列表
     * @param tInspectReport
     * @return
     */
    public List<TInspectReport> selectTInspectSummaryList(TInspectReport tInspectReport);


    /**
     * 新增入户安检结果
     * 
     * @param tInspectReport 入户安检结果
     * @return 结果
     */
    public int insertTInspectReport(TInspectReport tInspectReport);

    /**
     * 修改入户安检结果
     * 
     * @param tInspectReport 入户安检结果
     * @return 结果
     */
    public int updateTInspectReport(TInspectReport tInspectReport);

    /**
     * 批量删除入户安检结果
     * 
     * @param reportIds 需要删除的入户安检结果ID
     * @return 结果
     */
    public int deleteTInspectReportByIds(Long[] reportIds);

    /**
     * 删除入户安检结果信息
     * 
     * @param reportId 入户安检结果ID
     * @return 结果
     */
    public int deleteTInspectReportById(Long reportId);

    /**
     * 入户安检分析统计
     * @return
     */
    public Map<String,Object> selectIndoorStatistic(TInspectReport report);

    /**
     * 入户安检统计
     * @return
     */
    public List<Map<String,Object>>  selectindoorsummary();

}
